# Copyright (c) 2010,2011,2012,2013 Herbert Graeber <herbert@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org

Name:          mythtv-0_27
Version:       0.27.3
Release:       2.5
Summary:       A personal video recorder (PVR) application
URL:           http://mythtv.org/
License:       GPL-2.0+
Group:         Productivity/Multimedia/Video/Players
Source0:       https://github.com/MythTV/mythtv/archive/v%{version}.tar.gz
Source10:      mythtv-session.desktop
Source101:     mythbackend.sysconfig.in
Source102:     mythbackend.init.in
Source104:     mythbackend.service.in
Source106:     mythfrontend.png
Source107:     mythfrontend.desktop
Source108:     mythtv-setup.png
Source109:     mythtv-setup.desktop
Source200:     mythbackend.SuSEfirewall2
Source201:     mythfrontend-1024x576.desktop
Source202:     mythfrontend-800x450.desktop
#Patch0:        mythtv-0_27-fixes.patch.bz2
Patch4:        mythtv-perl-install.patch
Patch5:        mythtv-0_27_1-no-ldconfig.patch
## based on http://code.mythtv.org/trac/attachment/ticket/9726/0003-libmythtv-Unicable-SCR-DIN-EN-50494.patch
#Patch6:        mythtv-downgrade-from-unicable-support.diff
#Patch10:       mythtv-0_27-return-fix.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

# basic requirements
PreReq:        %fillup_prereq
PreReq:        %insserv_prereq
PreReq:        coreutils
%{?systemd_requires}
Buildrequires: fdupes
Buildrequires: libqt4-devel
BuildRequires: phonon-devel
BuildRequires: kernel-headers
BuildRequires: libQtWebKit-devel
BuildRequires: fribidi-devel
BuildRequires: libvdpau-devel
BuildRequires: lirc-devel
BuildRequires: libsensors4-devel
BuildRequires: freetype2-devel
BuildRequires: xorg-x11-devel
BuildRequires: xorg-x11-libXmu-devel
BuildRequires: xorg-x11-libXv-devel
BuildRequires: xorg-x11-proto-devel
%ifarch %{ix86} x86_64
BuildRequires: xorg-x11-driver-video-intel
%endif
BuildRequires: Mesa-devel
Buildrequires: nasm
Buildrequires: yasm-devel
BuildRequires: libva-devel
BuildRequires: avahi-compat-mDNSResponder-devel
BuildRequires: libxml2-devel
BuildRequires: libvpx-devel
BuildRequires: libuuid-devel
BuildRequires: libqjson-devel

# codec requirements
BuildRequires: liba52-devel
Buildrequires: libmp3lame-devel
BuildRequires: fftw-devel
BuildRequires: fftw3-devel fftw3
BuildRequires: fftw3-threads-devel fftw3-threads
BuildRequires: libfaac-devel
BuildRequires: flac-devel
BuildRequires: libgsm-devel
BuildRequires: libdca-devel
BuildRequires: libdvdcss-devel
BuildRequires: libdvdnav-devel
BuildRequires: libdvdread-devel
BuildRequires: libfame-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: mjpegtools-devel
BuildRequires: libtag-devel
BuildRequires: transcode
BuildRequires: libx264-devel
BuildRequires: libxvidcore-devel
BuildRequires: libass-devel

# audio support
BuildRequires: alsa-devel
BuildRequires: libjack-devel
BuildRequires: libpulse-devel

# firewire support
BuildRequires: libiec61883-devel
BuildRequires: libavc1394-devel
BuildRequires: libraw1394-devel

# perl bindings
BuildRequires: perl(Config)
BuildRequires: perl(DBD::mysql)
BuildRequires: perl(DBI)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(Exporter)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::UPnP::QueryResponse)
BuildRequires: perl(Net::UPnP::ControlPoint)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl-libwww-perl

# python bindings
BuildRequires: python-devel
BuildRequires: python-mysql
BuildRequires: python-lxml
BuildRequires: python-urlgrabber

# mythgallery plugin
BuildRequires: libexif-devel
BuildRequires: dcraw

# mythgame plugin
BuildRequires:  zlib-devel

# mythmusic plugin
BuildRequires:  libcdaudio-devel >= 0.99.6
BuildRequires:	libcdio-devel
%if 0%{suse_version} <= 1210
BuildRequires:  cdparanoia-devel
%else
BuildRequires:  libcdio-paranoia-devel
%endif
BuildRequires:  libvisual-devel
BuildRequires:  SDL-devel
BuildRequires:  ncurses-devel

# mythvideo plugin
BuildRequires:  perl(XML::Simple)

# mythvision plugin
BuildRequires:  python-oauth
BuildRequires:  python-curl
BuildRequires:  python-xml

# mythweather plugin
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(DateTime::Format::ISO8601)
BuildRequires:  perl(Image::Size)
BuildREquires:  perl(JSON)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(XML::XPath)
BuildRequires:  perl-libwww-perl

# mythzoneminder plugin
BuildRequires:  libmysqlclient-devel
BuildRequires:  libtool

%define mythfeapiver %(echo %{version} | awk -F. '{print $1 "." $2}')

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

There are also several add-ons and themes available. In order to facilitate
installations with smart/apt-get/yum and other related package
resolvers this meta-package can be used to install all in one sweep.

MythTV implements the following DVR features, and more, with a
unified graphical interface:

 - Basic 'live-tv' functionality.  Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4, and support for DVB and
   hardware encoder cards/devices.
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing


%package docs
Summary:   MythTV documentation
Group:     Documentation/HTML
Provides:  mythtv-docs = %{version}

%description docs
The MythTV documentation, contrib files, database initialization file
and miscellaneous other bits and pieces.


%package -n libmyth-0_27
Summary:   Library providing mythtv support
Group:     Development/Libraries/C and C++
Provides:  mythtv-frontend-api = %{mythfeapiver}
Provides:  libmyth = %{version}-%{release}
Conflicts: libmyth-0_25
Conflicts: libmyth-0_24
Conflicts: libmyth-0_24
Conflicts: libmyth-0_23
Conflicts: libmyth-0_22
Requires:  libqt4-sql-mysql
Requires:  libvpx1 = 1.3.0

%description -n libmyth-0_27
Common library code for MythTV and add-on modules (development)
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.


%package -n libmyth-0_27-devel
Summary:    Development files for libmyth
Group:      Development/Libraries/C and C++
Requires:   libmyth-0_27 = %{version}-%{release}
Provides:   libmyth-devel = %{version}-%{release}

%description -n libmyth-0_27-devel
This package contains the header files and libraries for developing
add-ons for mythtv.


%package base-themes
Summary:    Core user interface themes for mythtv
Group:      Productivity/Multimedia/Video/Players
BuildArch: noarch
Provides:   mythtv-themes = %{version}-%{release}
Recommends: droid-fonts


%description base-themes
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv-docs package for more information.

This package contains the base themes for the mythtv user interface.


%package frontend
Summary:    Client component of mythtv (a DVR)
Group:      Productivity/Multimedia/Video/Players
Requires:   mythtv-0_27-common       = %{version}-%{release}
Requires:   mythtv-0_27-base-themes  = %{version}
Requires:   mythtv-frontend-api = %{mythfeapiver}
Provides:   mythtv-frontend = %{version}-%{release}
Provides:   mythvideo = %{version}-%{release}


%description frontend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the client software, which provides a
front-end for playback and configuration.  It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.


%package backend
Summary:    Server component of mythtv (a DVR)
Group:      Productivity/Multimedia/Video/Players
PreReq:     /usr/sbin/useradd
Requires:   mythtv-0_27-common = %{version}-%{release}
Provides:   mythtv-backend = %{version}-%{release}

%description backend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the server software, which provides video
and audio capture and encoding services.  In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.


%package setup
Summary:   Setup the mythtv backend
Group:     Productivity/Multimedia/Video/Players
Requires:  mythtv-0_27-backend = %{version}-%{release}
Requires:  mythtv-0_27-base-themes = %{version}
Provides:  mythtv-setup = %{version}-%{release}


%description setup
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the setup software for configuring the
mythtv backend.


%package common
Summary: Common components needed by multiple other MythTV components
Group: Productivity/Multimedia/Video/Players

%description common
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains components needed by multiple other MythTV components.


%package -n perl-MythTV-0_27
Summary:        Perl bindings for MythTV
Group:          Development/Libraries/Perl
# Wish we could do this:
#BuildArch:      noarch
Requires:       perl
Requires:       perl(DBD::mysql)
Requires:       perl(Net::UPnP)
Requires:       perl(Net::UPnP::ControlPoint)


%description -n perl-MythTV-0_27
Provides a perl-based interface to interacting with MythTV.


%package -n python-MythTV-0_27
Summary:        Python bindings for MythTV
Group:          Development/Libraries/Python
Requires:       python-mysql
Requires:       python-mysql
Requires:       python-lxml
%{py_requires}
BuildArch:     noarch


%description -n python-MythTV-0_27
Provides a python-based interface to interacting with MythTV.


%package -n php-MythTV-0_27
Summary:        PHP bindings for MythTV
Group:          Development/Libraries/PHP
Requires:       perl-MythTV-0_27
BuildArch:      noarch


%description -n php-MythTV-0_27
Provides a php-based interface to interacting with MythTV.


%package -n mytharchive-0_27
Summary:   A module for MythTV for creating and burning DVDs
Group:     Productivity/Multimedia/Video/Players
Provides:  mytharchive = %{version}-%{release}
Requires:  python-mysql
Requires:  /usr/bin/cdrecord
Requires:  dvd+rw-tools
Requires:  dvdauthor
Requires:  ffmpeg
Requires:  mjpegtools
Requires:  /usr/bin/mkisofs
Requires:  python
Requires:  python-imaging
Requires:  transcode

%description -n mytharchive-0_27
MythArchive is a new plugin for MythTV that lets you create DVDs from
your recorded shows, MythVideo files and any video files available on
your system.


%package -n mythbrowser-0_27
Summary:   A small web browser module for MythTV
Group:     Productivity/Multimedia/Video/Players
Provides:  mythbrowser = %{version}-%{release}


%description -n mythbrowser-0_27
MythBrowser is a full fledged web-browser (multiple tabs) to display
webpages in full-screen mode. Simple page navigation is possible.
Starting with version 0.13 it also has full support for mouse driven
navigation (right mouse opens and clos es the popup menu).

MythBrowser also contains a BookmarkManager to manage the website
links in a simple mythplugin.


%package -n mythgallery-0_27
Summary:   A gallery/slideshow module for MythTV
Group:     Productivity/Multimedia/Video/Players
Provides:  mythgallery = %{version}-%{release}
Requires:  mythtv-frontend-api = %{mythfeapiver}
Requires:  dcraw

%description -n mythgallery-0_27
A gallery/slideshow module for MythTV.


%package -n mythgame-0_27
Summary:   A game frontend (xmame, nes, snes, pc) for MythTV
Group:     Productivity/Multimedia/Video/Players
Provides:  mythgame = %{version}-%{release}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description -n mythgame-0_27
A game frontend (xmame, nes, snes, pc) for MythTV.


%package -n mythmusic-0_27
Summary:   The music player add-on module for MythTV
Group:     Productivity/Multimedia/Video/Players
Provides:  mythmusic = %{version}-%{release}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description -n mythmusic-0_27
Music add-on for mythtv.


%package -n mythnetvision-0_27
Summary:   MythTV Plugin for watching internet content
Group:     Productivity/Multimedia/Video/Players
Provides:  mythnetvision = %{version}-%{release}
Requires:  python-MythTV-0_27 = %{version}-%{release}
Requires:  python-oauth
Requires:  python-curl
Requires:  python-xml
Requires:  perl

%description -n mythnetvision-0_27
MythNetvision is a plugin designed to make adding Internet video sources to
MythTV fun and easy. MythNetvision consists of two components-- a search screen
and a site/RSS browser screen. When installed, MythNetvision appears on the
Media Library screen as the options "Search Internet Video" and "Browse Internet
Video."

 
%package -n mythnews-0_27
Summary:   An RSS news feed plugin for MythTV
Group:     Productivity/Multimedia/Video/Players
Provides:  mythnews = %{version}-%{release}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description -n mythnews-0_27
An RSS news feed reader plugin for MythTV.


%package -n mythweather-0_27
Summary:   A MythTV module that displays a weather forcast
Group:     Productivity/Multimedia/Video/Players
Provides:  mythweather = %{version}-%{release}
Requires:  mythtv-frontend-api = %{mythfeapiver}
Requires:  perl(XML::SAX::Base)
Requires:  perl(XML::XPath)
Requires:  perl(Image::Size)
Requires:  perl(JSON)
Requires:  perl(DateTime::Format::ISO8601)
Requires:  perl(SOAP::Lite)

%description -n mythweather-0_27
A MythTV module that displays a weather forcast.


%package -n mythzoneminder-0_27
Summary:   A module for MythTV for camera security and surveillance
Group:     Productivity/Multimedia/Video/Players
Provides:  mythzoneminder = %{version}-%{release}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description -n mythzoneminder-0_27
MythZoneMinder is a plugin to interface to some of the features of
ZoneMinder. You can use it to view a status window similar to the
console window in ZM. Also there are screens to view live camera shots
and replay recorded events.



%prep
%setup -q -n mythtv-%{version}
#%patch0 -p1
%patch5 -p1
if [ "%{_lib}" != "lib" ]; then
    find \( -name 'configure' -o -name '*pro' -o -name 'Makefile*' \) -exec sed -r -i -e 's,/lib\b,/%{_lib},g' {} \+
fi

pushd mythtv
#%%patch2 -p1
#%%patch3 -p1
%patch4 -p1
#%%patch5 -p1
#%%patch6
#%%patch10 -p1

find contrib/ -type f -exec chmod -x "{}" \;
chmod -x themes/default/htmls/*.html

rm -rf contrib/Win32 contrib/OSX

#sed -i -e 's#perl Makefile.PL#%%{__perl} Makefile.PL INSTALLDIRS=vendor#' \
#    bindings/perl/perl.pro

sed -i -e 's,VENDOR_XVMC_LIBS="-lXvMCNVIDIA",VENDOR_XVMC_LIBS="-lXvMCNVIDIA -lXv",' configure

cp -a %{S:101} %{S:102} %{S:104} .
cp -a %{S:106} %{S:107} %{S:108} %{S:109} %{S:201} %{S:202} .

for file in mythbackend.init mythbackend.sysconfig mythbackend.service; do
  sed -e's|@logdir@|%{_localstatedir}/log|g' \
      -e's|@rundir@|%{_localstatedir}/run|g' \
      -e's|@sysconfdir@|%{_sysconfdir}|g' \
      -e's|@sysconfigdir@|%{_sysconfdir}/sysconfig|g' \
      -e's|@initdir@|%{_sysconfdir}/init.d|g' \
      -e's|@bindir@|%{_bindir}|g' \
      -e's|@sbindir@|%{_sbindir}|g' \
      -e's|@subsysdir@|%{_localstatedir}/lock/subsys|g' \
      -e's|@varlibdir@|%{_localstatedir}/lib|g' \
      -e's|@varcachedir@|%{_localstatedir}/cache|g' \
      < $file.in > $file
done

popd

temp=`pwd`/temp
pushd mythplugins
perl -pi -e"s,\\\$\\\${DEPLIBS}/libmyth,$temp%{_libdir}/libmyth," targetdep.pro
find . -name \*.pro | xargs perl -pi -e's,\$\${PREFIX}/include/mythtv,'$temp/usr/include/mythtv,
cat >> settings.pro << EOF
INCLUDEPATH += $temp/usr/include
LIBS *= -L$temp%{_libdir}
EOF

pushd mythmusic
#sed -i -e's,/mnt/store/music,%%{_localstatedir}/lib/mythmusic,' mythmusic/globalsettings.cpp
popd

popd

%build
FAKE_BUILDDATE=$(LC_ALL=C date -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
FAKE_BUILDTIME=$(LC_ALL=C date -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')

pushd mythtv

sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" external/FFmpeg/{cmdutils,ffprobe}.c libs/libmythtv/minilzo.cpp
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" external/FFmpeg/{cmdutils,ffprobe}.c libs/libmythtv/minilzo.cpp

./configure \
    --prefix=%{_prefix}                         \
    --libdir=%{_libdir}                         \
    --libdir-name=%{_lib}                       \
    --mandir=%{_mandir}                         \
    --enable-pthreads                           \
    --enable-ffmpeg-pthreads                    \
    --enable-joystick-menu                      \
    --enable-audio-alsa                         \
    --enable-audio-oss                          \
    --enable-audio-jack                         \
    --enable-libfftw3                           \
    --enable-x11 --x11-path=%{_includedir}      \
    --enable-xv                                 \
    --enable-opengl-video                       \
    --enable-xrandr                             \
    --enable-lirc                               \
    --enable-ivtv                               \
    --enable-firewire                           \
    --enable-dvb                                \
    --enable-libmp3lame                         \
    --enable-libtheora --enable-libvorbis       \
    --enable-libxvid                            \
    --enable-vdpau                              \
    --enable-vaapi                              \
    --enable-libfaac                            \
    --enable-libx264                            \
    --enable-libvpx                             \
    --enable-libxvid                            \
    --enable-libdns-sd                          \
    --enable-nonfree                            \
    --extra-cflags="%{optflags} -fomit-frame-pointer -fno-strict-aliasing" \
    --extra-cxxflags="%{optflags} -fomit-frame-pointer -fno-strict-aliasing" \
    --extra-libs="-ldl"                         \
    --compile-type=release                      \
    --disable-stripping

perl -pi -e"s|^OPTFLAGS=.*|OPTFLAGS=%{optflags} -fomit-frame-pointer|" libs/libmyth/mythconfig.mak
perl -pi -e's|^ARCHFLAGS=.*|ARCHFLAGS=|' libs/libmyth/mythconfig.mak

%__make %{?_smp_mflags} V=1

popd

mkdir temp
temp=`pwd`/temp
mkdir -p $temp%{perl_vendorlib}
make -C mythtv install INSTALL_ROOT=$temp
if [ "%{_libdir}" != "/usr/lib" ]; then
    mv $temp/usr/lib/libmythzmq.* $temp%{_libdir}
fi
export LD_LIBRARY_PATH=$temp%{_libdir}:$LD_LIBRARY_PATH

pushd mythplugins

echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro
find . -name \*.pro \
    -exec sed -i -e "s,INCLUDEPATH += .\+/include/mythtv,INCLUDEPATH += $temp%{_includedir}/mythtv," {} \; \
    -exec sed -i -e "s,DEPLIBS = \$\${LIBDIR},DEPLIBS = $temp%{_libdir}," {} \; \
    -exec sed -i -e "s,\$\${PREFIX}/include/mythtv,$temp%{_includedir}/mythtv," {} \;
echo "INCLUDEPATH -= \$\${PREFIX}/include" >> settings.pro
echo "INCLUDEPATH -= %{_includedir}"       >> settings.pro
echo "INCLUDEPATH += $temp%{_includedir}"  >> settings.pro
echo "INCLUDEPATH += %{_includedir}"       >> settings.pro
echo "LIBS *= -L$temp%{_libdir}"           >> settings.pro
echo "QMAKE_LIBDIR += $temp%{_libdir}"     >> targetdep.pro

./configure \
    --prefix=${temp}%{_prefix} \
    --libdir=%{_libdir} \
    --libdir-name=%{_lib} \
    --enable-mytharchive \
    --enable-mythbrowser \
    --enable-mythgallery \
    --enable-exif \
    --enable-new-exif \
    --enable-dcraw \
    --enable-mythgame \
    --enable-mythmusic \
    --enable-mythnews \
    --enable-mythweather \
    --enable-mythzoneminder \
    --enable-opengl \
    --enable-fftw \
    --enable-cdio \
    --compile-type=release


%__make %{?_smp_mflags} V=1

popd


%install
pushd mythtv

make install INSTALL_ROOT=%{buildroot}
if [ "%{_libdir}" != "/usr/lib" ]; then
  mv %{buildroot}/usr/lib/libmythzmq.* %{buildroot}%{_libdir}
fi
rm -r %{buildroot}/usr/lib/pkgconfig

ln -sf mythtv-setup %{buildroot}%{_bindir}/mythtvsetup
install -d %{buildroot}%{_localstatedir}/lib/mythtv
install -d %{buildroot}%{_localstatedir}/log/mythtv
install -d %{buildroot}%{_localstatedir}/cache/mythtv
install -d %{buildroot}%{_sysconfdir}/mythtv

echo "# to be filled in by mythtv-setup" > %{buildroot}%{_sysconfdir}/mythtv/config.xml
install -D -p -m 755 mythbackend.init %{buildroot}%{_sysconfdir}/init.d/mythbackend
install -D -p -m 644 mythbackend.sysconfig %{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.mythbackend
install -D -p -m 644 mythbackend.service %{buildroot}%{_unitdir}/mythbackend.service

for file in mythfrontend  mythtv-setup; do
  install -D -p $file.png %{buildroot}%{_datadir}/pixmaps/$file.png
  install -D -m 644 $file.desktop %{buildroot}%{_datadir}/applications/$file.desktop
done
install -D -m 644 mythfrontend-1024x576.desktop %{buildroot}%{_datadir}/applications/mythfrontend-1024x576.desktop
install -D -m 644 mythfrontend-800x450.desktop %{buildroot}%{_datadir}/applications/mythfrontend-800x450.desktop

install -m 644 -D %{S:10} %{buildroot}%{_datadir}/xsessions/mythtv.desktop

install -d %{buildroot}%{_libdir}/mythtv/plugins

install -D -m 644 settings.pro %{buildroot}%{_datadir}/mythtv/build/settings.pro
install -D -m 644 %{S:200} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/mythbackend

ln -sf ../..%{_sysconfdir}/init.d/mythbackend %{buildroot}%{_bindir}/rcmythbackend

popd

pushd mythplugins

#make distclean INSTALL_ROOT=%%{buildroot}
make install INSTALL_ROOT=%{buildroot}

install -d %{buildroot}%{_localstatedir}/lib/mythmusic
install -d %{buildroot}%{_localstatedir}/lib/pictures
install -d %{buildroot}%{_datadir}/mythtv/games/nes/{roms,screens}
install -d %{buildroot}%{_datadir}/mythtv/games/snes/{roms,screens}
install -d %{buildroot}%{_datadir}/mythtv/games/PC/screens
install -d %{buildroot}%{_datadir}/mame
ln -s ../../mame %{buildroot}%{_datadir}/mythtv/games/xmame
install -d %{buildroot}%{_datadir}/mame/flyers
ln -s snap %{buildroot}%{_datadir}/mythtv/games/xmame/screens
install -d %{buildroot}%{_sysconfdir}/mythgame
cp -a mythgame/gamelist.xml %{buildroot}%{_sysconfdir}/mythgame/
ln -s ../../../../../%{_sysconfdir}/mythgame/ \
        %{buildroot}%{_datadir}/mythtv/games/PC/gamelist.xml

popd

%fdupes $RPM_BUILD_ROOT%{_includedir}/mythtv
%fdupes $RPM_BUILD_ROOT%{_datadir}/mythtv

%post -n libmyth-0_27 -p /sbin/ldconfig

%postun -n libmyth-0_27 -p /sbin/ldconfig

%pre backend
# Add the "mythbackend" user and group
/usr/sbin/useradd -r -c "MythTV Backend User" -g video \
    -s /sbin/nologin -d %{_localstatedir}/lib/mythtv mythbackend 2> /dev/null || :
%service_add_pre mythbackend.service


%post backend
%fillup_and_insserv mythbackend
%service_add_post mythbackend.service


%preun backend
%stop_on_removal mythbackend
%service_del_preun mythbackend.service


%postun backend
%restart_on_update mythbackend
%insserv_cleanup
%service_del_postun mythbackend.service


%files docs
%defattr(-,root,root,-)
%doc mythtv/README*
%doc mythtv/UPGRADING
%doc mythtv/AUTHORS
%doc mythtv/COPYING
%doc mythtv/FAQ
%doc mythtv/database
%doc mythtv/keys.txt
%doc mythtv/docs
%doc mythtv/contrib

%files common
%defattr(-,root,root,-)
%dir %{_sysconfdir}/mythtv
#%%config(noreplace) %%{_sysconfdir}/mythtv/mysql.txt
%config(noreplace) %{_sysconfdir}/mythtv/config.xml
%{_bindir}/mythcommflag
%{_bindir}/mythtranscode
%{_bindir}/mythffmpeg
%{_bindir}/mythreplex
%{_bindir}/mythccextractor
%{_bindir}/mythmetadatalookup
%{_bindir}/mythutil
%{_bindir}/mythpreviewgen
%{_bindir}/mythlogserver
%{_bindir}/mythffprobe
%{_bindir}/mythffserver
%{_bindir}/mythhdhomerun_config
%{_bindir}/mythscreenwizard
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/mythconverg*.pl
%dir %{_datadir}/mythtv/locales
%{_datadir}/mythtv/locales/*
%dir %{_datadir}/mythtv/metadata
%{_datadir}/mythtv/metadata/*
%dir %{_datadir}/mythtv/hardwareprofile
%{_datadir}/mythtv/hardwareprofile/*
%exclude %{_datadir}/mythtv/hardwareprofile/.gitignore
%if 0%{suse_version} >= 1230
%{_bindir}/mythwikiscripts
%endif
%{_datadir}/mythtv/CDS_scpd.xml
%{_datadir}/mythtv/CMGR_scpd.xml
%{_datadir}/mythtv/MFEXML_scpd.xml
%{_datadir}/mythtv/MSRR_scpd.xml
%{_datadir}/mythtv/devicemaster.xml
%{_datadir}/mythtv/deviceslave.xml



%files backend
%defattr(-,root,root,-)
%{_bindir}/mythbackend
%{_bindir}/mythfilldatabase
%{_bindir}/mythjobqueue
%{_bindir}/mythmediaserver
%{_bindir}/rcmythbackend
%{_datadir}/mythtv/html/
%{_datadir}/mythtv/backend-config
%{_datadir}/mythtv/MXML_scpd.xml
%attr(-,mythbackend,video) %dir %{_localstatedir}/lib/mythtv
%attr(-,mythbackend,video) %dir %{_localstatedir}/cache/mythtv
%config %{_sysconfdir}/init.d/mythbackend
%{_localstatedir}/adm/fillup-templates/sysconfig.mythbackend
%attr(-,mythbackend,video) %dir %{_localstatedir}/log/mythtv
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/mythbackend
%{_unitdir}/*


%files setup
%defattr(-,root,root,-)
%{_bindir}/mythtv-setup
%{_bindir}/mythtvsetup
%{_datadir}/mythtv/setup.xml
%{_datadir}/applications/*mythtv-setup.desktop

%files frontend
%defattr(-,root,root,-)
%{_bindir}/mythavtest
%{_bindir}/mythfrontend
%{_bindir}/mythlcdserver
%{_bindir}/mythshutdown
%{_bindir}/mythwelcome
%{_libdir}/mythtv/filters
%dir %{_libdir}/mythtv
%dir %{_libdir}/mythtv/plugins
#%{_datadir}/mythtv/*.ttf
%dir %{_datadir}/mythtv/i18n
%{_datadir}/mythtv/i18n/mythfrontend_*.qm
%{_datadir}/applications/mythfrontend*.desktop
%{_datadir}/pixmaps/myth*.png
%{_datadir}/xsessions/mythtv.desktop
%dir %{_datadir}/mythtv/fonts
%{_datadir}/mythtv/fonts/*.ttf
%{_datadir}/mythtv/fonts/*.otf
%{_datadir}/mythtv/fonts/tiresias_gpl3.txt

%files base-themes
%defattr(-,root,root,-)
%dir %{_datadir}/mythtv/themes
%{_datadir}/mythtv/themes/*

%files -n libmyth-0_27
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n libmyth-0_27-devel
%defattr(-,root,root,-)
%{_includedir}/mythtv
%{_libdir}/*.so
%exclude %{_libdir}/*.a
%dir %{_datadir}/mythtv/build
%{_datadir}/mythtv/build/settings.pro

%files -n perl-MythTV-0_27
%defattr(-,root,root,-)
%{perl_vendorlib}/MythTV.pm
%dir %{perl_vendorlib}/MythTV
%{perl_vendorlib}/MythTV/*.pm
%dir %{perl_vendorlib}/IO
%dir %{perl_vendorlib}/IO/Socket
%dir %{perl_vendorlib}/IO/Socket/INET
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm
%exclude %{perl_vendorarch}/auto/MythTV/.packlist


%files -n python-MythTV-0_27
%defattr(-,root,root,-)
%dir %{python_sitelib}/MythTV/
%{_bindir}/mythpython
%{python_sitelib}/MythTV/*
%{python_sitelib}/MythTV-*.egg-info

%files -n php-MythTV-0_27
%defattr(-,root,root,-)
%dir %{_datadir}/mythtv/bindings
%{_datadir}/mythtv/bindings/php

%files -n mytharchive-0_27
%defattr(-,root,root,-)
%{_bindir}/mytharchivehelper
%{_libdir}/mythtv/plugins/libmytharchive.so
%{_datadir}/mythtv/archivemenu.xml
%{_datadir}/mythtv/archiveutils.xml
%{_datadir}/mythtv/mytharchive
%{_datadir}/mythtv/i18n/mytharchive_*.qm


%files -n mythbrowser-0_27
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythbrowser.so
%{_datadir}/mythtv/i18n/mythbrowser_*.qm


%files -n mythgallery-0_27
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/i18n/mythgallery_*.qm
%{_localstatedir}/lib/pictures


%files -n mythgame-0_27
%defattr(-,root,root,-)
%dir %{_sysconfdir}/mythgame
%config(noreplace) %{_sysconfdir}/mythgame/gamelist.xml
%{_libdir}/mythtv/plugins/libmythgame.so
%dir %{_datadir}/mythtv/games
%dir %{_datadir}/mythtv/games/PC
%{_datadir}/mythtv/games/PC/gamelist.xml
%{_datadir}/mythtv/games/xmame
%dir %{_datadir}/mame
%{_datadir}/mame/screens
%dir %{_datadir}/mame/flyers
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/i18n/mythgame_*.qm


%files -n mythmusic-0_27
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythmusic.so
%{_localstatedir}/lib/mythmusic
%{_datadir}/mythtv/musicmenu.xml
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/i18n/mythmusic_*.qm
%dir %{_datadir}/mythtv/mythmusic
%{_datadir}/mythtv/mythmusic/streams.xml


%files -n mythnetvision-0_27
%defattr(-,root,root,-)
%{_bindir}/mythfillnetvision
%{_libdir}/mythtv/plugins/libmythnetvision.so
%{_datadir}/mythtv/mythnetvision
%{_datadir}/mythtv/netvisionmenu.xml
%{_datadir}/mythtv/i18n/mythnetvision_*.qm
%{_datadir}/mythtv/internetcontent


%files -n mythnews-0_27
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/i18n/mythnews_*.qm


%files -n mythweather-0_27
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythweather.so
%{_datadir}/mythtv/i18n/mythweather_*.qm
%{_datadir}/mythtv/weather_settings.xml
%{_datadir}/mythtv/mythweather


%files -n mythzoneminder-0_27
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythzoneminder.so
%{_datadir}/mythtv/zonemindermenu.xml
%{_bindir}/mythzmserver
%{_datadir}/mythtv/i18n/mythzoneminder_*.qm

%exclude %{_libdir}/libmythzmq.la
%exclude %{_libdir}/pkgconfig/libmythzmq.pc
%exclude %{_datadir}/mythtv/fonts/README-TeX-Gyre-Chorus.txt
%exclude %{_datadir}/mythtv/fonts/README-droid.txt
%exclude %{_datadir}/mythtv/fonts/README-freefont-20120503.txt
%exclude %{_datadir}/mythtv/fonts/README-purisa.txt


%changelog
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/mkisofs instead of just mkisofs and
  /usr/bin/cdrecord instead of just cdrecord [PM-117]
* Sat Jul  5 2014 herbert@links2linux.de
- Update to version 0.27.3
  * Fix: uPnP not working
  * Fix: mythtranscode mpeg lossless segfaults on certain files
* Fri Jul  4 2014 herbert@links2linux.de
- Fix build for i586
* Wed Jul  2 2014 herbert@links2linux.de
- Update to version 0.27.2
  * Fix: Live tv not being catergorised correctly
  * Fix: Fix build for clang on FreeBSD 10.0 / MythTV stable (0.27)
  * Fix: Poor quality video decoding with some AVI content
  * Fix: FE/BE connection doesn't work using Link Local IPv6 addresses
  * Fix: [Patch] Fix build on big endian systems
  * Fix: Do not allow subtitile to be set for manual recordings
  * Fix: mpg files fail with 0.27.1
  * Fix: "This time" filter only matches shows that are later than original schedule time
  * Fix: MythTV doesn't play file
- Ugly fix for libmythzmq installation
* Sun Dec 22 2013 herbert@links2linux.de
- Update to fixes/0.27 from 2013-12-22
- Add explicit version of libvpx1 to force the packman
  package
* Sat Oct  5 2013 herbert@links2linux.de
- Fix symbolic links in mythtgames package
* Fri Oct  4 2013 herbert@links2linux.de
- Fix cdio support
* Sun Sep 29 2013 herbert@links2linux.de
- Remove compatibility with older openSUSE versions (Qt >= 4.8 needed)
- Add a rpmlintc file to suppress some minor warnings
- Reactive FAKE_DATE und FAKE_TIME mechanism to have less rebuilds
* Thu Sep 26 2013 herbert@links2linux.de
- Update to version 0.27
- enable use of libcdio
* Sun Aug 25 2013 herbert@links2linux.de
- Update to version 0.26.1
- Update to fixes from 2013-08-25
* Sat Mar 30 2013 herbert@links2linux.de
- Udate to latest fixes from 2013-03-30
- Fix build of internal ffmpeg
* Tue Jan 22 2013 herbert@links2linux.de
- Update to latest fixes from 2013-01-22
* Sun Dec 23 2012 herbert@links2linux.de
- Update to latest fixes from 2012-12-23
* Thu Nov  8 2012 herbert@links2linux.de
- fix missing return in tv_play_win.cpp
* Mon Nov  5 2012 herbert@links2linux.de
- Update to version 0.26.0, for changes look at
  http://www.mythtv.org/wiki/Release_Notes_-_0.26.0
* Sun Aug 26 2012 herbert@links2linux.de
- Move some files neccesary for UPnP into the common subpackage
* Thu Jul 19 2012 herbert@links2linux.de
- update to version 0.25.2, for changes look at
  http://www.mythtv.org/wiki/Release_Notes_-_0.25.2
- use source service
* Tue Jun 19 2012 herbert@links2linux.de
- update to version 0.25.1, for changes look at
  http://www.mythtv.org/wiki/Release_Notes_-_0.25.1
- move mythpreviewgen tin common subpackage
* Tue May 29 2012 herbert@links2linux.de
- remove unicable support
- try to revert databse to version 1299 (Hope this work!)
- update to fixes from 2012-05-27
* Fri May 11 2012 pascal.bleser@opensuse.org
- add backport of http://code.mythtv.org/trac/ticket/9726 for Unicable DIN EN
  50494 support, untested, please report to packman@links2linux.de or
  https://bugs.links2linux.org
* Sat Apr 14 2012 herbert@links2linux.de
- enable additional codecs
- enable libass support
- enable dns-sd support
* Fri Apr 13 2012 herbert@links2linux.de
- Fix preun and postun sections
* Fri Apr 13 2012 herbert@links2linux.de
- Adapt to new backend logfile handling
- Remove logrotate support, not needed anymore
- Add systemd service file
- Dropped support for changing user/group from mythbackend/video
* Wed Apr 11 2012 herbert@links2linux.de
- php-MythTV-0_24 owns /usr/share/bindings, too
* Wed Apr 11 2012 herbert@links2linux.de
- update to version 0.25
  * MythTV Services API - services available for both MythFrontend and
    MythBackend
  * Capable MythNetvision sources can now be controlled via remote(lirc)
  * HTTP Live Streaming Capabilities - ability to expose recordings and
    videos via the services API
  * VAAPI support
  * DirectX Video Acceleration 2 (DXVA2) on Windows (alpha support)
  * CEC Capabilities - 2-way communication/control capabilities between MythTV
    and capable devices such as TVs, receivers, STBs, etc.
  * 3D support - for Side-by-Side and Top-and-Bottom 3D
  * IPv6 support - for mythbackend and mythfrontend (see Enable IPv6)
  * HTTP control and query capabilities for MythFrontend (Currently a Proof of
    Concept)
  * AirTunes/AirPlay support for streaming audio and video from iOS devices
  to MythFrontend
  * E-AC3, TrueHD, and DTS-HD digital pass-through support
  * Hardware Profiler - helps developers understand the user's hardware
    landscape and statistics (opt-in)
  * Initial animation support for MythUI
  * New, robust Microsoft Windows and OS X (including 10.7 "lion") build
    scripts / packager
  * MythVideo is now part of core MythTV and no longer a seperate plugin
  * MythMusic has been significantly revamped and updated to MythUI
  * Significantly enhanced and integrated metadata lookup capabilities for
    videos and recordings
  * Integrate and leverage internal player in MythNetvision when possible
  * Better Video Decode Acceleration (VDA) support on Mac OS X
  * "mythutil --message" replaces the previously removed mythtvosd for sending
    messages for display on the frontend
  * Removed XvMC Support (Disadvantages now outweigh the advantages)
  * Removed libmpeg2 support for video playback (libav is more stable)
  * Deprecation/Replacement of MythXML (in favor of new Services API)
  * Re-write of logging system (see Logging)
  * Removed jamu - superseded by MythMetadataLookup
* Wed Feb  1 2012 herbert@links2linux.de
- update to version 0.24.2
  * Fix a potential segfault if MDM::downloadNow() times out
  * Enhance UK EIT fixup to support "QuotedSubtitles"
  * MythVideo: Avoid crashing if child item no longer exists
  * MythWeather: Redo BBC Weather source. NOTE: Adds requirement for JSON
    Perl Module
  * MythWeather: Oops, remove a debugging print from BBC Weather code
  * MythWeather: Fix yrnoxml weather script
  * Include error when FE_GET_INFO ioctl fails
  * Terra: Fix %%CHANNUM%% being displayed in the Terra OSD for videos
  * Perl Bindings: Correct timestamps usage in Perl bindings
  * Fix warnings in 1262 DB upgrade
  * Update references to SVN in -fixes docs
  * Update "Removing unwanted channels" instructions
  * Update HTML/PDF/TXT HOWTO for -fixes
  * mythfilldatabase: Do not allow channels to be inserted from xmltv for
    unsuitable source types
* Wed Dec  7 2011 herbert@links2linux.de
- update to fixes from 2011-12-07
  * Refs #6516. Fix a regression caused by [21445] aka [2fdeb3fc].
  * Catch first frame corrupting unsigned count
  * Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into fixes/0.24
  * Add a UK fixup to remove "All New To 4Music!" which is breaking proper
    creation of subtitles and therefore duplicate matching.
  * Allows to change the ALSA buffer size
  * Fix DVD and Blu Ray seeking.
  * Add @ to valid chars on mythfrontend network control command line.
  * OSD: Fix screen ordering again.
  * libdvdread: fix compilation for ifo_read.c
  * libdvdread: backport upstream changesets r1232 and r1234.
  * Fix the Danish virtual keyboard by correcting the ISO-code in its filename.
    (cherry picked from commit 48185237a59b4fd00eb100ebe713873e74a1c479)
  * Fixed error with 'UTC' dates and some code format clean up
  * Allow bad Metadata tags to be bypassed
  * Correct copy/paste error in postroll commercial detection
  * MythRenderOpenGL: Add glu.h header.
  * Fix AAC/LATM playback for streams with changing config
  * Fix potential cash in mythtranscode.
  * Fix MythPlayer::GetRawVideoFrame() for mythcommflag.
  * Add ALSA playback support for 24 bits LSB audio.
  * Fix possible audio corruption.
  * Update the Danish translation of mythfrontend and mythgallery.
  * Fixed MiroBridge abort when Miro metadata has no video filename
  * Update a few strings in the Danish translation of Mytharchive.
  * Fix JACK playback, change default JACK output device
  * Better handle frame rate changes during fast-forward/rewind.
  * Fix JACK/ALSA compilation
  * Fix a bug introduced in SHA1:ad091eccdd.
  * Revert "Avoid updating the group info if the group hasn't changed. Closes
    [#9539]"
* Sat Sep 17 2011 herbert@links2linux.de
- update to fixes from 2011-09-17
  * Updated MythMusic Spanish translation from Antonio Marcos Lopez Alonso.
  * Update MythNetvision Spanish translation from David Lara.
  * Regenerate the qm file for the MythGallery Spanish translation.
  * Updated MythGallery Spanish translation from Antonio Marcos Lopez Alonso.
  * Fix inefficiency in marking first/last showings without programids.
  * Fix another invalid-string-format datetime binding.
  * Fix invalid-string-format date passing to MySQL.
  * Use correct exception type for error handling.
  * Net Utils: Only select distinct grabbers.
  * Fixed MiroBridge abort when Miro metadata has an invalid video filename
  * Fixed Jamu unnecessary unicode declarations
  * Fix a segfault in MythUIHelper::LoadCacheImage()
  * RingBuffer: add back inadvertantly removed code that allows the readahead
    thread to sleep when full.
  * MythBrowser: Change the user-agent string reported by the browser widget.
  * Fix scheduler output ordering.
  * Fix creation of row with autoincrement fields
  * Fix LiveTV channel browsing start channel.
  * Fixes #9885. Fixes deadlock when a slave backend disconnect is first seen
    from within the Scheduler thread. Patch by Ian Dall.
  * RingBuffer: Optimize readahead buffer to completely fill if
    readblocksize > totfree.
  * Fix Theme Chooser theme downloading on remote frontends.
  * Re-enable the delay for artwork loading in PlaybackBox
  * Fixes #9575. Fix an ambiguous DB query
  * Revert "Force reload of context and stream properties when switching between
    LiveTV segments."
  * Don't allow remote mythbackends to upgrade database.
  * Fix mpeg2fix randomly aborting.  OBEY EAGAIN for av_read_frame! :)
  * Fix a QT warning about calling killTimer() with an invalid timer id.
  * Fixes #9927. Make sure we always join the pthread in the DeviceReadBuffer.
  * Make sure DeviceReadBuffer::videodevice is never QString::null, this will
    cause the logging to segfault.
  * Backports a small portion of the RingBuffer improvements from master.
  * Fix PPC movrel issue in FFmpeg libs.
  * Fix endian issue in OSD color conversion
  * Fix tzinfo handling in custom Python datetime class
  * Bypass filesize query on recording if possible. Refs #9539
  * Avoid updating the group info if the group hasn't changed. Closes #9539
  * Under some circumstances, using ALSA due to bad rounding, some audio samples
    would be lost.
  * Fix a deadlock in the socket handling causing the backend to stop responding
    to connections.
  * Fix display of MiroBridge command line help
  * MythMusic: Don't append a '/' if the start directory hasn't been set yet.
  * Add escaping of periods at the beginning of a movie title, to work around
    security mechanism in TMDB API.
  * ttvdb grabber performance improvements Change Log:
    1) Removed complex element tree searches from the XSLT stylesheet and
    substituted XPATH lxml functions
    2) Minor docmentation corrections
  * Additional patch to pick up changes missed in 944268c20
  * Add Miro 4.0.2 support to MiroBridge   Change Log:
    1) Added support for Miro 4.0.2
    2) Silenced verbose output from ffmpeg when creating screen shots
    3) Fixed oldrecording deletion abort when a source issues two videos that
    have identical publish dates and durations. Trapped error so no abort
    but also added every other unique DB field to deletion statment.
    4) Minor error message corrections
  * Extend the maximum transition times in mythgallery
  * Shortcut the return from the new --fifoinfo mode
  * Display format information for the fifo data
  * Permit remote transcode in fifodir case
  * Tweak the EIT thread startup
  * OK, I'm blind.  Sorry.  Should still be using DVB not DTV
  * Make EITScanner thread only be started when needed
  * Suspend recording list updates whilst playback is in progress as this
    causes issues for some people. This is likely a temporary fix while I work
    on something better.
  * Fixes #9716. for \(int i... shadowed the int i we had declared earlier for
    that loop so we could check whether the for loop exited prematurely.
  * Remove unused directory
  * Allow stream_backend_file to accept a myth url (perl bindings)
  * Fix stream_backend_file in the perl bindings
  * Work-around to handle display of high-numbered cards.
  * Add missing QString argument
  * DVD: Fix crash when displaying dvd menu button.
  * Use settings code to store mythfilldatabase HaveRepeats.
  * MythCenter-wide: Fix the wonky layout on the 'Schedule Priorities' screen.
    Fixes #9717.
  * MythCenter-wide: Fix the list overlapping the background shape on the
    status screen. Fixes #9701.
  * channel icon downloader: Add the missing wide window definitions.
  * MythCenter-wide: Tidy up the 'Channel Editor' screen.
  * mythtv-setup: Fix scrolling in the xmltv config terminal screen.
  * HDHomeRun: Make Tuner number editable.
  * Revert tuner count fix for .24.
  * HDHomeRun: Create the right number of tuners for the found device.
  * HDHomeRun: Backport fix for IP-defined HDHomeRuns.
  * Add another known DCX-3200 changer (but don't backport the changes to GENERIC).
  * Backport recently added DCX-3200 models to .24-fixes.
  * RingBuffer: Use case insensitive url and extension checking.
  * OSD: Fix subtitle window painting order.
  * DVB Subtitles: Fix display of subs with no display segment.
  * Unescape HTML Encoding when parsing text portions of metadata.
  * DVDRingBuffer: Release the ringbuffer writelock when waiting.
  * Update en_gb MythFrontend, MythArcive and MythGallery translation from Nick Morrott.
  * Try to fix FreeBSD compile after V4L1 fix.
  * Enable building 0.24-fixes without system V4L1 support.
  * Change the heuristic to only skip animation for myth://
  * Revert "Initialize the MythUIImage filename correctly"
  * Initialize the MythUIImage filename correctly
  * Make the free space updates start in PBH
  * Load the disk free bar in the PBB on each UPDATE_FREE_SPACE
* Wed May 18 2011 herbert@links2linux.de
- update to version 0.24.1
* Fri Apr 22 2011 herbert@links2linux.de
- replace __DATE__ and __TIME__ by mythtv-0_24.changes change time to
  make buildcompare working better
* Fri Apr 22 2011 herbert@links2linux.de
- update to v0.24-249-g4fe108c
* Sun Apr 10 2011 herbert@links2linux.de
- move some helper programs, like mythffmpeg, mythffplay and mythreplex
  into the mythtv-common package, so they can be used by mytharchive
  and nuvexport
* Fri Mar 18 2011 herbert@links2linux.de
- update to v2.24-222-g1f532a5
* Tue Mar  1 2011 herbert@links2linux.de
- update to v0.24-195-gbbfb6b0 (first build after git migration)
- remove mythweb, because it is build separately
- add mythffmpeg and mythffplay
* Sun Nov 28 2010 herbert@links2linux.de
- Update to fixes from r27361
  * Update the Finnish translation of Mythweb
  * Fix the case where the detected resolution is all over the place.
  * Make the FLV player scale based on only the initial resolution at
    frame 0.
  * Teletext fixes
  * Fix passthrough
  * Do not disable AC3 or DTS passthrough if speaker output is set to
    stereo only.
  * Unpause playback when clearing the Delete Recording OSD dialog (if we
    paused it to show the dialog).
  * Remove stupid testing hack - re-enable JPEG viewing
  * Remove display of parameters errors when the audio object is first
    created
  * Don't hold the OSD lock unnecessarily when processing editor
    keypresses.
  * Fix non-animated GIF reloading in MythUIImage
  * Change the behaviour of overriding the digital passthrough device.
  * Fix a segfault when exiting the Recording Profile settings screen.
  * Improve digital passthrough auto-settings mainly a problem with
    some HDMI audio cards.
  * Clear captions when entering edit mode
* Sun Nov 14 2010 herbert@links2linux.de
- Fix the missing nonvoid return errors
* Sat Nov 13 2010 herbert@links2linux.de
- Another try to ignore rpmlint errors
* Fri Nov 12 2010 herbert@links2linux.de
- reenable build of mythweather
- ingore a rpmlint checks for 11.3-i586 (in hope this doesn't hurt)
* Thu Nov 11 2010 herbert@links2linux.de
- compile with -fno-strict-aliasing as suggested by rpmlint
* Thu Nov 11 2010 herbert@links2linux.de
- update to 0.24 final
* Mon Nov  8 2010 herbert@links2linux.de
- make /usr/share/mythtv/fonts owned by mythfrontend
* Sun Nov  7 2010 herbert@links2linux.de
- update to version 0.24rc2
  * MythUI OSD
  * Blu-ray disc/folder parsing and playback.
  * Metadata grabbing in MythGame
  * Fully automatic metadata grabbing in MythVideo, allow users to select artwork to be downloaded
  * Embedded text subtitle support in MKV and others
  * Blu-ray and DVD multi-angle
  * Online theme browser and downloader
  * Experimental Broadcom Crystal HD hardware decoding support
  * Large audio refactor
  * Large OSD, Captioning/subtitle, and Video Playback refactor
  * Support for (unencrypted) ISOs, VIDEO_TS, and BDMV over storage groups
  * Substantial rework, stabilization, and improvement of DVD playback
* Sat Oct 30 2010 herbert@links2linux.de
- update to fixes from r27052
  * Fix an issue with some recordings not showing up in the Watch Recordings
    screen if there was bad guide data which appended (or prepended) a space
    onto the title.
  * Fix crash in Advanced Search.
  * Change the pre-0.22 collation.
  * Respect the "Default channel group" setting in the EPG.
  * Update the DB default character set and collation after replacing an
    existing database.
  * Fix the cases of screwy seektables on ivtv recordings (and other
    MPEG2-PS) that happen due to frames not being counted.
  * Avoid newline characters in the allocine metadata script in .23
  * FFmpeg: workaround for invalid dts/pts combination.
  * Retry to open the DVB dvr device when it fails because of EBUSY (or
    EAGAIN). This works around a possible driver problem.
  * MythZoneMinder: Make some of the debug output from the mythzmserver a
    little more useful.
  * Fix an issue that causes the pre-theme locale and/or backend
    selection prompt to appear full size, but with unreadably tiny fonts
    in the upper left corner of the screen.
  * Channel Scanner: Rollup backport of QAM/SCTE scanner fixes.
  * Fix an issue where all recordings would be displayed under the default
    recording group when using the 'Show Recording Groups' view.
  * Fix database dropping and creation in the mythconverg_restore.pl script.
    Using mc.sql doesn't work properly due to permissions issues.
  * Fix usage of Channel Groups with names containing DB-special characters.
  * Wait after DiSEqC rotor commands.
  * Check to make sure 'originalairdate' is populated before using it.
  * build: add opengl dependency for vdpau since it uses QGLWidget
  * Widen the time text area in the default-wide theme
  * MythMusic miniplayer UI fixes for default theme.
  * build MythWelcome, enable UPnP, postproc filter bundling problem (which
    I'm not sure is a problem here yet).
  * Add support for 'LocalHostName' from config.xml.
  * Fix the phrase encoding in proglist.cpp.
  * Add internal schema versions to --version output.
  * Fix LIRC handling of keys with modifiers (Alt+Esc, Ctrl+Y, etc.).
* Sat Aug  7 2010 herbert@links2linux.de
- disable mythweather for now because of many new dependencies
* Sat Aug  7 2010 herbert@links2linux.de
- update to version 0.23.1
  * Video Playback
    + Fix segfault when there is a change in the video stream e.g. resolution
    or aspect ratio.
    + Fix NEXTSOURCE/PREVSOURCE key bindings to prevent a deadlock when
    changing sources in Live TV (i.e. when hitting the "Y" key).
    + Fix potential crashes on video startup.
  * Misc
    + Fix linking on certain combinations of configure options and distributions
    when building from source.
    + Fix compilation of libswscale and libavcodec on x86_32 builds with GCC 4.2
    and higher.
    + Handle AMD Athlon(tm) II processors in --enable-proc-opt.
    + Fix GUI hang (all white or brown screen, possibly with tiny fonts on top)
    when specified and fallback themes are missing.
    + Fix DB schema version checks and eliminate redundant pre-upgrade backups
    when multiple schemas are updated.
    + Fix check for valid MythTV configuration directory.
  * mythbackend
    + Fix handling "Delete, but allow re-record" when used during recording.
  * MythGallery
    + Fix image stretching on non-square pixel displays.
  * MythVideo
    + Fixed themoviedb.org image downloading.
  * MythWeather
    + Add yr.no and Weather Underground scripts and remove weather.com maps.
    + Add Weather Underground static radar maps.
    + Miscellaneous theme and other changes.
  * Python bindings
    + Added `mythpython` utility for quick interpreter access and version output.
  * mythcommflag
    + Fix a crash on exit when run with certain command-line arguments (such as
  - -clearcutlist).
- added some new perl module requirements for mythweather
* Fri Jun  4 2010 herbert@links2linux.de
- update to fixes from r24879. Many small fixes backported from trunk.r
  To many to list them here. The more visible ones are:
  * Fix of some keybindings
  * Memory leaks
  * Updated translations
* Thu May 13 2010 herbert@links2linux.de
- mythcenter-wide look better with droid sans font
* Tue May 11 2010 herbert@links2linux.de
- update to verion 0.23 final
* Fri May  7 2010 herbert@links2linux.de
- update to version 0.23-rc3
* Sun Apr  4 2010 herbert@links2linux.de
- update to version 0.23-rc2
* Sun Mar 28 2010 herbert@links2linux.de
- update to version 0.23-rc1
  * New event system
  * Rewritten and greatly expanded python bindings
  * Addition of MythNetvision Plugin
  * New audio with surround sound upmixer
  * Addition of Arclight Theme
  * 15%% faster software H.264 decoder
* Thu Mar  4 2010 herbert@links2linux.de
- Do not require xorg-x11-driver-video-intel for openSUSE 11.1
* Thu Mar  4 2010 herbert@links2linux.de
- update to svn fixes 23667.
  * fix playback of DTS HD tracks.
  * fix seeking to start of stream with non-zero start_time.
  * improve A/V sync handling for 720p/1080i MPEG-2 broadcasts.
  * Fix an abort in 0.22 Mirobridge.
  * Fix deleting and truncating.
- raise release number to not bewilder users
* Fri Feb 12 2010 herbert@links2linux.de
- update to svn fixes 23527
  * Fix mythfilldatabase to report the correct number of programids changedi
    to make them unique for multipart programs.
  * Work around crash when slave backend tries to connect to broken master
    backend.
  * Resolve dvd playback can lock with "waited too long for videoout to unpause".
  * Prevent audio reinitialization from cause a crash during dvd playback.
  * Resolve problem where audio streams show up as "unknown language" in the
    audio track map.
  * H264Parser: simplify SEI parsing.
  * libavcodec: backport ffmpeg changeset 20504 to fix h264 decoding.
  * libavformat: backport ffmpeg changeset 20160.
  * backport ffmpeg changesets 19621-19622 to fix matroska keyframe handling.
* Sun Jan 24 2010 herbert@links2linux.de
- Fix x264 build dependency
* Sat Jan 16 2010 herbert@links2linux.de
- update to svn fixes 23164
  * Fix the immediate wake-on-lan bug
  * Identifiy Motorola DCX-3200
  * Stop mythmusic crashing when deleting the last playlist
  * Prevent the excess "Enabled deinterlacing" messages
  * Fix internal dvd player. When a change in the audio track is made using the
    OSD, it sets this new audio track setting to be the dvd default audio track.
  * Make MythMovies work again
  * Internal dvd player. fix sorting of tracks by logical order
  * Don't try to buffer audio/video packets when onlyvideo < 0 in AVFD:GetFrame
- fixed doubled RPM_BUILD_ROOT (made perl bindings work)
- gzip the large patches
* Fri Jan  1 2010 herbert@links2linux.de
- update to svn fixes 23050
  * Clarify the help text for the "Record Threshold" setting.
  * Fix NEXTSOURCE, PREVSOURCE, NEXTINPUT, and NEXTCARD key bindings.
  * Widen the refresh rate test range to cater for cases where the reported
    refresh rates aren't close to usual video standard.
  * fix internal dvd player: switching audio track via osd doesn't update dvd
    preferences.
  * Add more verbose error output and instructions for debugging the configuration
    problems when unable to connect to the database in the restore script.
  * Use image/jpeg enclosures as thumbnails in MythNews instead of trying to
    play them.
  * Fix MythWeather's location searches following changes at the BBC's Weather
    Forecast site.
  * Open dvd file handle with O_NONBLOCK so that it does not force the tray closed.
  * Internal DVD Player. Resolves Jumpy dvd playback on low powered systems.
  * Punch up some colors in the base.xml so that they are visible on all screens.
* Sun Nov 29 2009 herbert@links2linux.de
- add two alternative desktop files to start a windowed frontend
* Sat Nov 28 2009 herbert@links2linux.de
- update to snvfixes 22911
  * Ensure pillar/letterboxing is refreshed when embedding and using XVideo/XvMC.
  * Fall back to the Qt painter when creation of a valid OpenGL painter fails.
  * Add an explicit warning around video memory shortages when using VDPAU
    as well as advice on how to rectify the problem.
  * Ensure the VDPAU colorkey is repainted when unpausing video playback.
* Thu Nov 26 2009 herbert@links2linux.de
- add session file for the frontend
- add proper Provides/Conflicts, so mythtv 0.21 will be properly replaced by 0.22
* Sat Nov 21 2009 herbert@links2linux.de
- drop dependency on mythv-imdb
- update to svnfixes 22874
  * Add automatic create of VDPAU playback profiles.
  * Include DROP TABLE in backups to prevent data corruption issues caused when
    users (manually) restore a backup on top of a newer-schema-version DB.
  * Fix UI theme and OSD theme changes due to broken/missing themes to use
    overrides rather than changing the database value.
  * Fix channel change in the EPG.
  * DVB Descriptor updates.
  * Fix two bugs in the mythmusic taglib detection code.
  * Many other fixes
* Wed Nov 18 2009 herbert@links2linux.de
- include mythplugins int package (Better tham building it separately,
  because mythtv mythplugins share their resource dir)
- disable perl binding for now
* Mon Nov 16 2009 herbert@links2linux.de
- fix XvMC support
* Sun Nov 15 2009 herbert@links2linux.de
- fix build for openSUSE 11.2
* Fri Nov 13 2009 herbert@links2linux.de
- removed some processor specific options, defaults should be sufficient
* Thu Nov 12 2009 herbert@links2linux.de
- no phonon for openSUSE < 11.1
* Thu Nov 12 2009 herbert@links2linux.de
- make mythbackend:video default user/group for the backend
- add static libmythdvdnav library, needed by mythvideo plugin
- use fdupes for includes and base-themes
- make rpmlint a little happier
* Tue Nov 10 2009 herbert@links2linux.de
- fix perl and python bindings
* Mon Nov  9 2009 herbert@links2linux.de
- update to final 0.22
- fix preun script
* Thu Nov  5 2009 herbert@links2linux.de
- use intel driver package only for openSUSE >= 11.1
* Tue Nov  3 2009 herbert@links2linux.de
- initial package for version 0.22rc2
